<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Bootstrap Components</title>

    <!-- Logo of website -->
    <link rel="website icon" type="icon/svg" href="images/Bootstrap_logo.svg" />

    <!-- Bootstrap Link -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <a class="navbar-brand" href="#">Navbar</a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item active">
            <a class="nav-link" href="#"
              >About Me<span class="sr-only">(current)</span></a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Projects</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Tools</a>
          </li>
        </ul>
      </div>
    </nav>
    <!-- End of Navbar -->

    <!-- Main Content -->
    <div class="container-fluid text-center">
      <div class="row">
        <!-- Sidebar -->
        <div
          class="accordion col-md-2 d-none d-md-block p-0"
          id="accordionExample"
        >
          <div class="card">
            <div class="card-header" id="headingOne">
              <h2 class="mb-0">
                <button
                  class="btn btn-link btn-block text-left"
                  type="button"
                  data-toggle="collapse"
                  data-target="#collapseOne"
                  aria-expanded="true"
                  aria-controls="collapseOne"
                >
                  Services
                </button>
              </h2>
            </div>

            <div
              id="collapseOne"
              class="collapse show"
              aria-labelledby="headingOne"
              data-parent="#accordionExample"
            >
              <div class="card-body">
                <ul class="list-unstyled text-justify">
                  <li>Front End Design</li>
                  <li>Back End Design</li>
                  <li>Full Stack Development</li>
                </ul>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingTwo">
              <h2 class="mb-0">
                <button
                  class="btn btn-link btn-block text-left collapsed"
                  type="button"
                  data-toggle="collapse"
                  data-target="#collapseTwo"
                  aria-expanded="false"
                  aria-controls="collapseTwo"
                >
                  Projects
                </button>
              </h2>
            </div>
            <div
              id="collapseTwo"
              class="collapse"
              aria-labelledby="headingTwo"
              data-parent="#accordionExample"
            >
              <div class="card-body">
                <ul class="list-unstyled text-justify">
                  <li>HTML</li>
                  <li>CSS</li>
                  <li>Bootstrap</li>
                </ul>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingThree">
              <h2 class="mb-0">
                <button
                  class="btn btn-link btn-block text-left collapsed"
                  type="button"
                  data-toggle="collapse"
                  data-target="#collapseThree"
                  aria-expanded="false"
                  aria-controls="collapseThree"
                >
                  Tools
                </button>
              </h2>
            </div>
            <div
              id="collapseThree"
              class="collapse"
              aria-labelledby="headingThree"
              data-parent="#accordionExample"
            >
              <div class="card-body">
                <ul class="text-justify list-unstyled">
                  <li>Core Tools</li>
                  <li>Other Tools</li>
                </ul>
              </div>
            </div>
          </div>
          <!-- Additioanl collapsable accordion -->
          <div class="card">
            <div class="card-header" id="headingThree">
              <h2 class="mb-0">
                <button
                  class="btn btn-link btn-block text-left collapsed"
                  type="button"
                  data-toggle="collapse"
                  data-target="#collapseFour"
                  aria-expanded="false"
                  aria-controls="collapseFour"
                >
                  Additional Accordion
                </button>
              </h2>
            </div>
            <div
              id="collapseFour"
              class="collapse"
              aria-labelledby="headingFour"
              data-parent="#accordionExample"
            >
              <div class="card-body">
                <ul class="text-justify list-unstyled">
                  <li>Core Tools</li>
                  <li>Other Tools</li>
                </ul>
              </div>
            </div>
          </div>
          <!-- End of Additioanl Accordion -->
        </div>
        <!-- End of Sidebar -->

        <!-- Main Body -->
        <div class="col-md-10 col-12 p-0">
          <!-- First Page of Main Body -->
          <div class="container-fluid bg-dark min-vh-100 text-light">
            <img
              src="images/ada.jpg"
              alt="Ada Lace"
              class="col-md-3 col-5 mt-5 rounded-circle"
            />

            <h1>Ada Lovelace</h1>
            <h3>Full-stack Developer</h3>

            <div class="row">
              <div class="col-8 offset-2">
                Lorem ipsum, dolor sit amet consectetur adipisicing elit. Et eos
                sequi facere numquam nobis officiis fugit placeat maiores
                perspiciatis ipsam distinctio perferendis exercitationem eum non
                quis asperiores consequuntur, cum praesentium!
              </div>
            </div>

            <!-- Carousel -->
            <div class="row mt-3 d-none d-md-block">
              <div class="col-md-10 offset-1 pb-3">
                <div
                  id="carouselExampleCaptions"
                  class="carousel slide"
                  data-ride="carousel"
                >
                  <ol class="carousel-indicators">
                    <li
                      data-target="#carouselExampleCaptions"
                      data-slide-to="0"
                      class="active"
                    ></li>
                    <li
                      data-target="#carouselExampleCaptions"
                      data-slide-to="1"
                    ></li>
                    <li
                      data-target="#carouselExampleCaptions"
                      data-slide-to="2"
                    ></li>
                  </ol>
                  <div class="carousel-inner">
                    <div class="carousel-item active">
                      <img
                        src="https://place-puppy.com/500x300"
                        class="d-block w-100"
                        alt="puppy"
                      />
                      <div class="carousel-caption d-none d-md-block">
                        <h5>First slide label</h5>
                        <p>
                          Some representative placeholder content for the first
                          slide.
                        </p>
                      </div>
                    </div>
                    <div class="carousel-item">
                      <img
                        src="http://placekitten.com/500/300"
                        class="d-block w-100"
                        alt="kitten"
                      />
                      <div class="carousel-caption d-none d-md-block">
                        <h5>Second slide label</h5>
                        <p>
                          Some representative placeholder content for the second
                          slide.
                        </p>
                      </div>
                    </div>
                    <div class="carousel-item">
                      <img
                        src="https://placebear.com/500/300
                      "
                        class="d-block w-100"
                        alt="bear"
                      />
                      <div class="carousel-caption d-none d-md-block">
                        <h5>Third slide label</h5>
                        <p>
                          Some representative placeholder content for the third
                          slide.
                        </p>
                      </div>
                    </div>
                  </div>
                  <button
                    class="carousel-control-prev"
                    type="button"
                    data-target="#carouselExampleCaptions"
                    data-slide="prev"
                  >
                    <span
                      class="carousel-control-prev-icon"
                      aria-hidden="true"
                    ></span>
                    <span class="sr-only">Previous</span>
                  </button>
                  <button
                    class="carousel-control-next"
                    type="button"
                    data-target="#carouselExampleCaptions"
                    data-slide="next"
                  >
                    <span
                      class="carousel-control-next-icon"
                      aria-hidden="true"
                    ></span>
                    <span class="sr-only">Next</span>
                  </button>
                </div>
              </div>
            </div>
            <!-- End of Carousel -->
          </div>
          <!-- End  First Page of Main Body -->

          <!-- Cards -->
          <div class="bg-secondary text-light min-vh-100 p-3">
            <h2>Other Projects</h2>
            <div
              class="d-flex flex-md-row flex-column justify-content-md-around align-items-center"
            >
              <!-- First Card -->
              <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2">
                <img
                  src="images/html.jpg"
                  class="card-img-top p-2"
                  alt="HTML Image"
                />
                <div class="card-body">
                  <h5 class="card-title">HTML</h5>
                  <p class="card-text">
                    Lorem, ipsum dolor sit amet consectetur adipisicing elit.
                    Officia, officiis blanditiis qui fuga ratione aspernatur
                    voluptatem eligendi maiores praesentium doloremque, quas
                  </p>
                  <a href="#" class="btn btn-primary">Go to project</a>
                </div>
              </div>
              <!-- End of First Card -->

              <!-- Second Card -->
              <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2">
                <img
                  src="images/bootstrap-illustration.png"
                  class="card-img-top p-2"
                  alt="Bootstrap Image"
                />
                <div class="card-body">
                  <h5 class="card-title">Bootstrap</h5>
                  <p class="card-text">
                    Lorem, ipsum dolor sit amet consectetur adipisicing elit.
                    Officia, officiis blanditiis qui fuga ratione aspernatur
                    voluptatem eligendi maiores praesentium doloremque, quas
                  </p>
                  <a href="#" class="btn btn-primary">Go to project</a>
                </div>
              </div>
              <!-- End of Second Card -->

              <!-- Third Card -->
              <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2">
                <img
                  src="images/nodejs.png"
                  class="card-img-top p-2"
                  alt="Node JS Image"
                />
                <div class="card-body">
                  <h5 class="card-title">Node JS</h5>
                  <p class="card-text">
                    Lorem, ipsum dolor sit amet consectetur adipisicing elit.
                    Officia, officiis blanditiis qui fuga ratione aspernatur
                    voluptatem eligendi maiores praesentium doloremque, quas
                  </p>
                  <a href="#" class="btn btn-primary">Go to project</a>
                </div>
              </div>
              <!-- End of Third Card -->
            </div>
          </div>
          <!-- End of Cards -->

          <!-- Forms -->
          <div class="bg-dark text-light min-vh-100 p-5">
            <h2>Contact Me</h2>
            <div class="bg-primary col-xl-4 col-md-8 col-12 mx-auto">
              <form>
                <div class="form-group">
                  <label for="fullName">Name</label>
                  <input
                    type="text"
                    class="form-control"
                    id="fullName"
                    aria-describedby="fullNameHelp"
                    placeholder="Your Name"
                  />
                </div>
                <div class="form-group">
                  <label for="email1">Email address</label>
                  <input
                    type="email"
                    class="form-control"
                    id="email1"
                    aria-describedby="emailHelp"
                    placeholder="name@example.com"
                  />
                </div>
                <div class="form-group">
                  <label for="contactNumber">Contact Number</label>
                  <input
                    type="number"
                    class="form-control"
                    id="contactNumber"
                    aria-describedby="contactNumberHelp"
                    placeholder="+63 900 000 0000"
                  />
                </div>
                <div class="form-group">
                  <label for="contactNumber">Concern</label>
                  <select class="form-control">
                    <option value="">Quotation</option>
                    <option value="">Appointment</option>
                    <option value="">Follow-up</option>
                  </select>
                </div>
                <div class="form-group">
                  <label for="contactNumber">Message</label>
                  <textarea
                    class="form-control"
                    name=""
                    id=""
                    cols="30"
                    rows="10"
                  ></textarea>
                </div>

                <button
                  type="submit"
                  class="btn btn-dark mb-1 px-5"
                  data-toggle="modal"
                  data-target="#exampleModal"
                >
                  Send Email
                </button>

                <!-- Modal -->
                <div
                  class="modal fade"
                  id="exampleModal"
                  tabindex="-1"
                  aria-labelledby="exampleModalLabel"
                  aria-hidden="true"
                >
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h5
                          class="modal-title text-secondary"
                          id="exampleModalLabel"
                        >
                          Thank you for contacting us!
                        </h5>
                        <button
                          type="button"
                          class="close"
                          data-dismiss="modal"
                          aria-label="Close"
                        >
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </div>
                      <div class="modal-body text-secondary">
                        <h5>Message Successfully Sent</h5>
                      </div>
                      <div class="modal-footer">
                        <button
                          type="button"
                          class="btn btn-secondary"
                          data-dismiss="modal"
                        >
                          Close
                        </button>
                      </div>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
          <!-- End of Forms -->
        </div>
        <!-- End of Main Body -->
      </div>
    </div>
    <!-- End of Main Content -->
    <!-- Bootstrap Script -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
